robotpkg/wip/ros-py-urdf-parser bulk build results

Log for ros-py36-urdf-parser-0.4.0r1 on Fedora-28-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for ros-py36-urdf-parser-0.4.0r1 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20151004~ssl.tgz ===> Checking bootstrap dependencies for ros-py36-urdf-parser-0.4.0r1 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20151004~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found ===> Done bootstrap-depends for ros-py36-urdf-parser-0.4.0r1 ===> Installing full dependencies for ros-py36-urdf-parser-0.4.0r1 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py36-catkin-pkg-0.4.8.tgz => Required system package py36-yaml>=3: MISSING => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py36-ros-catkin-0.7.16r1.tgz To use ros, the following environment variables must contain those values: ROS_MASTER_URI http://localhost:11311 ROS_PACKAGE_PATH /opt/openrobots/share PYTHONPATH /opt/openrobots/lib/python3.6/site-packages PATH /opt/openrobots/bin As an alternative to the above configuration, commands can be executed by using the `env.sh' wrapper. For instance, roscore can be started like so: /opt/openrobots/etc/ros/env.sh roscore In Bourne shell scripts, the following file can be sourced instead: /opt/openrobots/etc/ros/setup.sh => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-28-x86_64/All/ros-object-recognition-msgs-0.4.1r1.tgz robotpkg_add: Package `py27-catkin-pkg-0.4.8' conflicts with `py[0-9][0-9]-catkin-pkg-[0-9]*', and `py36-catkin-pkg-0.4.8' is installed. robotpkg_add: Installed package `py36-catkin-pkg-0.4.8' conflicts with `py[0-9][0-9]-catkin-pkg-[0-9]*' when trying to install `py27-catkin-pkg-0.4.8'. robotpkg_add: Can't install dependency py27-catkin-pkg>=0.2 robotpkg_add: 1 package addition failed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-28-x86_64/All/ros-octomap-msgs-0.3.3r1.tgz robotpkg_add: Package `py27-catkin-pkg-0.4.8' conflicts with `py[0-9][0-9]-catkin-pkg-[0-9]*', and `py36-catkin-pkg-0.4.8' is installed. robotpkg_add: Installed package `py36-catkin-pkg-0.4.8' conflicts with `py[0-9][0-9]-catkin-pkg-[0-9]*' when trying to install `py27-catkin-pkg-0.4.8'. robotpkg_add: Can't install dependency py27-catkin-pkg>=0.2 robotpkg_add: 1 package addition failed => Dependency tnftp-20151004~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for ros-py36-urdf-parser-0.4.0r1: ERROR: ERROR: py36-yaml>=3 (Fedora package python3-pyyaml) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/ros-py-urdf-parser/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Deinstalling for ros-py36-urdf-parser Removed digest-20080510 Removing dependency py36-ros-catkin-0.7.16r1 Removed py36-catkin-pkg-0.4.8 Removed tnftp-20151004~ssl